summaryrefslogtreecommitdiffstats
path: root/gis/google-earth/google-earth.SlackBuild
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-06-09 08:16:52 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-06-10 08:02:42 +0700
commitc1d95803d5ebe7d4e5ad87a6170a8186b906de49 (patch)
tree247e0af66cdb038a196d19910ea3626fef36dbb3 /gis/google-earth/google-earth.SlackBuild
parent34073f58dd6b2398cb6488c64da902c74bae3fcf (diff)
downloadslackbuilds-c1d95803d5ebe7d4e5ad87a6170a8186b906de49.tar.gz
slackbuilds-c1d95803d5ebe7d4e5ad87a6170a8186b906de49.tar.xz
gis/google-earth: Moved from multimedia/ category.
Signed-off-by: David Spencer <baildon.research@googlemail.com>
Diffstat (limited to 'gis/google-earth/google-earth.SlackBuild')
-rw-r--r--gis/google-earth/google-earth.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/gis/google-earth/google-earth.SlackBuild b/gis/google-earth/google-earth.SlackBuild
new file mode 100644
index 0000000000..2a475aab97
--- /dev/null
+++ b/gis/google-earth/google-earth.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for google-earth
+
+# Copyright 2007-2013 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 2013 - A lot of thanks to Willy Sudiarto Raharjo for his input and help
+# with converting the script to work with googles .deb packages.
+
+# Thanks to rworkman for the additional code and script cleanups
+# and to Daniel de Kok and Alan_Hicks for their comments.
+
+PRGNAM=google-earth
+VERSION=${VERSION:-7.1.4.1529}
+ARCH=i386 # Since this is the arch google dictates
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed as it is just a binary repackaging.
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/google-earth-stable_current_i386.deb data.tar.lzma | lzma -d | tar xv
+cd $PKG
+chown -R root:root .
+# Fix Google braindeadness (and mine)
+find . -type d -exec chmod 0755 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Sadly (by lack of politer word), Google has some inconsistent permissions
+# for normal files; this should deal with them rather nicely.
+find -L . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) -exec chmod 0644 {} \;
+
+# Install a .desktop launcher:
+mv $PKG/opt/google/earth/free/google-earth.desktop $PKG/usr/share/applications/google-earth.desktop
+
+# Copy icons to /usr/share/icons
+for icon in 16 22 24 32 48 64 128 256; do
+ install -D $PKG/opt/google/earth/free/product_logo_${icon}.png \
+ $PKG/usr/share/icons/hicolor/${icon}x${icon}/apps/${PRGNAM}.png
+done
+
+# Install mimetypes
+mkdir -p $PKG/usr/share/mime/packages/
+cat $CWD/google-earth-mimetypes.xml > $PKG/usr/share/mime/packages/$PRGNAM-mimetypes.xml
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/google/earth/free/gpl.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Clean up cruft/unneeded directories.The cron job in /etc is for Debian/Ubuntu only:
+rm -rf $PKG/etc
+rm -rf $PKG/usr/share/{man,menu,gnome-control-center}
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}